Page MenuHomePhabricator

Allow Tool Labs volunteer roots to submit jobs on puppet-catalog-compiler
Closed, ResolvedPublic

Description

To test tool labs manifests. This would effectively be @scfc and myself at the moment.

https://integration.wikimedia.org/ci/job/operations-puppet-catalog-compiler/

Event Timeline

valhallasw raised the priority of this task from to Needs Triage.
valhallasw updated the task description. (Show Details)
valhallasw added subscribers: valhallasw, scfc.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2015, 8:42 PM
hashar added subscribers: Joe, hashar.May 5 2015, 3:09 PM

+ @Joe who wrote the puppet catalog compiler.

The Jenkins access list is configured to allow trigger a build for people being member of either LDAP groups: wmf or nda.

@scfc has a NDA and is in the 'nda' LDAP group, so he should be able to trigger run.

For @valhallasw a NDA would be ideal and unleash a lot more tools (ex: https://graphite.wikimedia.org/ ). I am not sure I can add an access list that allow build of a single job nor do I know how nasty a run of operations-puppet-catalog-compiler can be though. I am willing to endorse your application for a NDA :]

scfc added a comment.May 5 2015, 5:13 PM

@valhallasw is a member of the Phabricator project WMF-NDA, so I assume that just needs to be "reflected" in LDAP.

I am a bit confused about https://integration.wikimedia.org/ci/job/operations-puppet-catalog-compiler/build?delay=0sec which I assume is the UI? It mentions a lot of "Puppet 2 vs. 3". So I would enter in GERRIT_CHANGE_NUMBER the number of the change I want to test? Does LIST_OF_NODES allow Labs nodes, e. g. tools-bastion-01.eqiad.wmflabs, or does it only work for nodes in site.pp?

hashar triaged this task as Low priority.May 6 2015, 12:47 PM
hashar set Security to None.
Krenair added a subscriber: Krenair.May 7 2015, 9:31 AM
valhallasw closed this task as Resolved.May 13 2015, 3:21 PM
valhallasw claimed this task.

I can submit jobs now, so (although I can't get them to run *successfully* atm) this task is resolved.

@valhallasw welcome and have happy hacking!